Skip to main content
GET
/
api
/
buckets
/
{accountId}
Get buckets by Account id
curl --request GET \
  --url https://api.example.com/api/buckets/{accountId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "createdOn": "2023-11-07T05:31:56Z",
  "updatedOn": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updatedBy": "<string>",
  "name": "<string>",
  "number": "<string>",
  "addressLine1": "<string>",
  "addressLine2": "<string>",
  "country": "<string>",
  "state": "<string>",
  "city": "<string>",
  "postalCode": "<string>",
  "email": "<string>",
  "status": "active",
  "source": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

trace-id
string

Path Parameters

accountId
string
required

id of account to be searched

Response

Found the Buckets

id
string
createdOn
string<date-time>
updatedOn
string<date-time>
createdBy
string
updatedBy
string
name
string

name

number
string
addressLine1
string
addressLine2
string
country
string | null
state
string | null
city
string | null
postalCode
string | null
email
string | null
status
enum<string>
Available options:
active,
in-active,
draft
source
string | null